/*Fuentes usadas: IBM Plex Sans Condensed (textos, títulos) y IBM Plex Mono (textos de fondo), importadas desde Google Fonts*/
@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:wght@300;400;500;700&family=IBM+Plex+Sans+Condensed:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600&display=swap');
/*Estilos generales*/
:root{
	--azul: #15478b;
	--durazno: #ffe791;
	--damasco: #ffd058;
	--menta: #8aebca;
	--pistacho: #c2ffea;
	--frutilla: #ff9c9a;
	--frambuesa: #ffc3df;
	--mora: #c6c5ff;
	--arandano: #d9d7fa;
}

body{
	font-family: 'IBM Plex Sans Condensed', sans-serif;
	color: var(--azul);
	background-color: var(--durazno);
    font-size: 1.25rem;
}

body.page-template-index-proyectos, body.single-proyecto {
	background-color: var(--pistacho);
}

body.page-template-about-me{
	background-color: var(--frambuesa);
}

html{
	scroll-behavior: smooth;
}

p{
	margin-bottom: 0;
}

dl, ol, ul {
    margin-top: 0;
    margin-bottom: 0;
}

label{
	margin-bottom: 0;
}

h1, h2, h3, h4, h5, h6{
	font-weight: bold;
}

h1{
	font-size: 3.75rem;
}

h2{
	font-size: 3.125rem;
}

h3{
	font-size: 2.5rem;
}

h4{
	font-size: 1.875rem;
}

h5{
	font-size: 1.25rem;
}

h6{
	font-size: 1rem;
}

.card{
    border: none;
    border-radius: 20px;
    background-color: var(--damasco);
    height: 24rem;
    }

/*Menú*/
.trp-language-switcher-container {
    background-color: rgb(45, 80, 178);
    border-radius: 5px;
    }
    

.navbar-brand {
    display: inline-block;
    padding-top: 0;
    padding-bottom:0;
    margin-right: 0;
    font-size: 1.25rem;
    line-height: inherit;
    white-space: nowrap;
}

.navbar-brand img{
	width: 3.75rem;
	border-radius: 100px;
	background-color: white;
}

.navbar-dark .navbar-nav .active>.nav-link, .navbar-dark .navbar-nav .nav-link.active, .navbar-dark .navbar-nav .nav-link.show, .navbar-dark .navbar-nav .show>.nav-link {
   font-weight: bold;
}

.menu-item{
	text-transform: uppercase;
	padding-left: 0.313rem;
	padding-right: 0.313rem;
	letter-spacing: 1.2px;
	font-size: 1.125rem;
}

.menu-color-bg{
	background-color: var(--azul);
}

.page-template-about-me .seccion1-home, .page-template-default .seccion1-home, .single .seccion1-home, .page-template-index-proyectos .seccion1-home, .single-proyecto .seccion1-home{
	height: 60vh;
}

.proyecto-overlay{
	position: absolute;
	height: 100%;
	width: 100%;
	background: rgba(138, 235, 202, 0.9);
	top: 0;
	right: 0;
	left: 0;
	bottom: 0;
	z-index: -1;
	backdrop-filter: blur(2px);
}

.scroll-left, .scroll-right, .scroll-proyectos-right,  .scroll-proyectos-left {
overflow: hidden;
white-space: nowrap;
}

.text-scroll{
	display:inline;
    width:auto;
	font-size: 9.375rem; 
	color: rgba(255, 255, 255, 0.2);
	text-transform: uppercase;
	font-family: 'IBM Plex Mono', monospace;
}

.card{
	bottom: 0;
  transition: bottom ease 0.2s;
	transition: ease 0.5s;
}

.card:hover{
	bottom: 10px;
	-webkit-box-shadow: 0px 14px 20px -6px #000000; 
box-shadow: 0px 14px 20px -6px #000000;
}

.bg-proyecto-card{
	transition: 0.2s ease;
}

.bg-proyecto-card:hover{
	background-color: #4458d8;
	text-decoration: none;
}

/*Página de inicio*/

.escala-individual{
	transition: 0.2s ease;
}

#conoce{
	background-color: var(--damasco);
	height: 25rem;
}

#proyectos-home .proyecto-overlay{
	background-color: rgba(255, 208, 88, 1);
border-radius: 20px;
transition: ease 0.3s;
}

#proyectos-home .card:hover .proyecto-overlay{
	background-color: rgba(255, 208, 88, 0.8);
}

a.link-home{
	color: var(--damasco);
	text-decoration: none;
}

.page-template-home .post-thumbnail{
	display: flex;
	justify-content: center;
	padding-bottom: 1rem;
}

.header-home{
    color: var(--azul);
    background-color: var(--damasco);
}

.seccion1-home{
     height: 100vh;
}

.excerpt-home{
	font-size: 1.563rem;
}

.arrow-home{
	font-size: 3.75rem;
    animation-name: example;
    animation-iteration-count: infinite;
    animation-duration: 1s;
}

@keyframes example {
    0% {
    transform:translate(0px,1px);
    }
    8% {
        transform:translate(0px,1.5px);
    }
    
    16% {
        transform:translate(0px,2px);
    }
    
    24% {
        transform:translate(0px,2.5px);
    }
    
    32% {
        transform:translate(0px,3px);
    }
    
    40% {
        transform:translate(0px,3.5px);
    }
    
    48% {
        transform:translate(0px,4px);
    }
    
    56% {
        transform:translate(0px,4px);
    }
    
    64% {
        transform:translate(0px,3.5px);
    }
    
    72% {
        transform:translate(0px,3px);
    }
    
    80% {
        transform:translate(0px,2.5px);
    }
    
    88% {
        transform:translate(0px,2px);
    }
    
    96% {
        transform:translate(0px,1.5px);
    }
    
    100% {
        transform:translate(0px,1px);
    }
    }

p.behance-home{
	font-size: 12.5rem;
}

.page-template-home .wp-block-bod-modal-block .bod-btn:hover {
	color: var(--damasco)!important;
	background-color: var(--azul)!important;
}

.page-template-home .proyecto-overlay{
	background-color: transparent;
}

.page-template-home input[type="text"], .page-template-home input[type="tel"], .page-template-home input[type="email"], .page-template-home textarea{
	background-color: var(--durazno);
	border: none;
	padding-left: 0.625rem;
}

.page-template-home input[type="submit"]:hover {
	border: 2px solid var(--azul)!important;
	background-color: var(--azul);
	color: var(--damasco);
}

#seccion-behance .wp-block-button__link {
    color: var(--durazno);
    text-transform: uppercase;
    border: 2px solid var(--durazno);
	letter-spacing: 1px;
}

#seccion-behance .wp-block-button__link:hover{
	background-color: var(--durazno);
	color: var(--azul);
}

#seccion-behance .fa-behance-square{
	color: var(--durazno);
}

#seccion-behance{
	padding: 0;
}

.wp-block-social-links:not(.is-style-logos-only) .wp-social-link-behance,  .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-linkedin, .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-instagram, .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-twitter{
    background-color: transparent;
    color:  var(--durazno);
}

#footer-Content, .bg-textblock{
	background-color: var(--azul);
	color: var(--durazno);
}

.bg-formulario-footer{
	color: var(--azul);
	background-color:  var(--damasco);
}

.bg-proyecto-card{
    background-color: var(--azul);
  border-radius: 0 0 20px 20px;
  height: 7.5rem;
  font-weight: bold;
}

.bg-proyecto-card a{
color: var(--durazno);
}

.img-index img{
	border: 8px solid;
	border-radius: 150px;
	width: 250px;
}



/*Página "conóceme"*/
#intereses .card .btn:hover{
	color: var(--frambuesa);
}

.page-template-about-me #footer-Content{
	color: var(--frambuesa);
}

.page-template-about-me .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-behance, .page-template-about-me .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-linkedin, .page-template-about-me .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-instagram, .page-template-about-me .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-twitter {
    color: var(--frambuesa);
}

.page-template-about-me input[type="text"], .page-template-about-me input[type="tel"], .page-template-about-me input[type="email"], .page-template-about-me textarea{
	background-color: var(--frambuesa);
	color: var(--azul);
	border: none;
	padding-left: 0.625rem;
}

.page-template-about-me input[type="submit"]:hover {
	border: 2px solid var(--azul)!important;
	background-color: var(--azul);
	color: var(--frutilla);
}

.page-template-about-me .bod-block-popup{
	background-color: var(--frutilla)!important;
}

#intereses .card{
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	background: linear-gradient(255deg, #ff9c9a, #ff7c79, #ffd8d7);
    background-size: 600% 600%;
    -webkit-animation: degradado-datos 5s ease infinite;
    -moz-animation: degradado-datos 5s ease infinite;
    animation: degradado-datos 5s ease infinite;
}

.box-info{
	border-radius: 20px;
	background: linear-gradient(255deg, #ff9c9a, #ff7c79, #ffd8d7);
    background-size: 600% 600%;
    -webkit-animation: degradado-datos 5s ease infinite;
    -moz-animation: degradado-datos 5s ease infinite;
    animation: degradado-datos 5s ease infinite;
}

#intereses .card:hover{
	box-shadow: 0 0 0;
	bottom: 0;
}

.interes-sub{
	font-weight: bold;
	text-transform: uppercase;
	letter-spacing: 1.5px;
}

.foto-mia{
	border-radius: 20px;
}


.img-conoceme img{
	border: 8px solid;
	border-radius: 1000px;
}

/*Animación de apertura y cierre de tarjeta*/	

#intereses .col-md-12{
    transition: all 1s ease;
}
	
#intereses .col-md-4{
    transition: all 0.5s ease;
}

.page-template-about-me .bg-formulario-footer{
	background-color:  var(--frutilla);
}

.bg-bloque-aboutme{
	background-color: var(--frutilla);
	border-radius: 20px;
}

.bloques-datos{
	height: 12.5rem;
	display: flex;
	justify-content: center;
	align-items: center;
}

.cubo-intereses{
	background-color: var(--frutilla);
	display: flex;
	justify-content: center;
	align-items: center;
	height: 16.625rem;
	border-radius: 20px;
}

.foto-about-me{
	background-color: var(--frutilla);
	height: 28.125rem;
	border-radius: 20px;
	display: flex;
	justify-content: center;
	align-items: center;
}

.cajita-detalles{
	border-radius: 20px;
}

.page-template-about-me .header-home, .cajita-detalles{
    background: linear-gradient(255deg, #ff9c9a, #ff7c79, #ffd8d7);
background-size: 600% 600%;

-webkit-animation: degradado-datos 5s ease infinite;
-moz-animation: degradado-datos 5s ease infinite;
animation: degradado-datos 5s ease infinite;
}

@-webkit-keyframes degradado-datos {
0%{background-position:74% 0%}
50%{background-position:27% 100%}
100%{background-position:74% 0%}
}
@-moz-keyframes degradado-datos {
0%{background-position:74% 0%}
50%{background-position:27% 100%}
100%{background-position:74% 0%}
}
@keyframes degradado-datos {
0%{background-position:74% 0%}
50%{background-position:27% 100%}
100%{background-position:74% 0%}
}

/*Página proyectos*/

.head-proyectos-2024{
	background-color: #72d9aa;
	height: 40vh;
	display: flex;
	align-items: center;
	justify-content: center;
	color: var(--pistacho);
	transition: 0.2s ease;
}

.head-proyectos-2023{
	background-color: #51bc93;
	height: 40vh;
	display: flex;
	align-items: center;
	justify-content: center;
	color: var(--pistacho);
	transition: 0.2s ease;
}

.head-proyectos-2022{
	background-color: #248B6F;
	height: 40vh;
	display: flex;
	align-items: center;
	justify-content: center;
	color: var(--pistacho);
	transition: 0.2s ease;
}


.head-proyectos-2021{
	background-color: #005F45;
	height: 40vh;
	display: flex;
	align-items: center;
	justify-content: center;
	color: var(--pistacho);
	transition: 0.2s ease;
}

.head-proyectos-2020{
	background-color: #00351F;
	height: 40vh;
	display: flex;
	align-items: center;
	justify-content: center;
	color: var(--pistacho);
	transition: 0.2s ease;
}

.head-proyectos-2020 h2, .head-proyectos-2021 h2, .head-proyectos-2022 h2, .head-proyectos-2023 h2, .head-proyectos-2024 h2{
	font-size: 9.375rem;
	font-family: 'IBM Plex Mono', monospace;
	 background: linear-gradient(270deg, #4ed5b2, #c2ffea, #0ff0a2, #cbffed);
    background-size: 200% auto;
  color: #000;
  background-clip: text;
  text-fill-color: transparent;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  
  animation: shine 0.2s linear infinite;
  @keyframes shine {
    to {
      background-position: 200% center;
    }
  }
}

.page-template-index-proyectos .bod-block-popup, .single-proyecto .bod-block-popup{
	background-color: var(--menta)!important;
}

#seccion-lista-2020, #seccion-lista-2021, #seccion-lista-2022, #seccion-lista-2023, #seccion-lista-2024{
	display: none;
}

.head-proyectos-2022:hover, .head-proyectos-2021:hover,
.head-proyectos-2020:hover, .head-proyectos-2023:hover, .head-proyectos-2024:hover,{
	background-color: mediumseagreen;
}


.page-template-index-proyectos .card .proyecto-overlay{
	border-radius: 20px;
	transition: ease 0.3s;
	background-color: rgba(138, 235, 202, 1);
}

.page-template-index-proyectos .card:hover .proyecto-overlay{
	background-color: rgba(138, 235, 202, 0.9);
}

.page-template-index-proyectos a.link-home{
	color: var(--pistacho);
	text-decoration: none;
}

.page-template-index-proyectos .bg-formulario-footer, .single-proyecto .bg-formulario-footer{
	background-color:  var(--menta);
}

.page-template-index-proyectos .card{
	background-color:  var(--menta);
}

.page-template-index-proyectos .bg-proyecto-card a{
color: var(--pistacho);
}

.page-template-index-proyectos .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-behance,  .page-template-index-proyectos .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-linkedin, .page-template-index-proyectos .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-instagram, .page-template-index-proyectos .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-twitter{
    background-color: transparent;
    color:  var(--pistacho);
}

.page-template-index-proyectos .header-home, .single-proyecto .header-home{
	background-color: var(--menta)!important;
}

/*Página individual de proyectos*/

.proyecto-categoria{
	font-weight: bold;
	text-transform: uppercase;
	letter-spacing: 2px;
}

.proyecto-colores{
	width: 2.5rem;
	height: 2.5rem;
	border-radius: 20px;
}

.bg-textblock-detalle{
	background-color: var(--menta);
}

.single-proyecto .bg-textblock, .single-proyecto #footer-Content, .page-template-index-proyectos #footer-Content{
	color: var(--pistacho);
}

.bg-textblock-reverse{
	color: var(--azul);
	background-color:  var(--durazno);
}

.single-proyecto .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-behance,  .single-proyecto .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-linkedin, .single-proyecto .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-instagram, .single-proyecto .wp-block-social-links:not(.is-style-logos-only) .wp-social-link-twitter{
    background-color: transparent;
    color:  var(--pistacho);
}

.single-proyecto .wp-block-bod-modal-block .bod-btn:hover, .page-template-index-proyectos .wp-block-bod-modal-block .bod-btn:hover {
	color: var(--menta)!important;
	background-color: var(--azul)!important;
}

.slick-prev:before, .slick-next:before{
	color: var(--azul)!important;
}

.galeria-border img{
	border: 10px solid;
	border-radius: 20px;
}

.slick-dots{
	position: static;
}

.slick-dots li.slick-active button:before {
    opacity: .75;
    color: var(--azul)!important;
}

.slick-dots li.slick-active button:before {
    opacity: .75;
    color: var(--azul)!important;
}

.single-proyecto input[type="submit"]:hover, .page-template-index-proyectos input[type="submit"]:hover {
	border: 2px solid var(--azul)!important;
	background-color: var(--azul);
	color: var(--menta);
}

.single-proyecto input[type="text"], .single-proyecto input[type="email"],  .single-proyecto input[type="tel"], .single-proyecto textarea, .page-template-index-proyectos input[type="text"], .page-template-index-proyectos input[type="email"], .page-template-index-proyectos input[type="tel"], .page-template-index-proyectos textarea{
    background-color: var(--pistacho)!important;
    border: none;
	padding-left: 0.625rem;
	color: var(--azul)!important;
}

/**/

/*Otros*/

.error404 h1{
	font-size: 12.5rem;
}

.wp-container-9{
	margin-bottom: 0;
}

.blog-data{
	z-index: 1;
}

/*Botones*/
.btn{
	font-size: 1.25rem;
	padding: 10px 50px;
	color: var(--azul);
    font-weight: bold;
    border-radius: 26px;
    text-transform: uppercase;
    border: 2px solid var(--azul);
	 letter-spacing: 1px;
}

.btn:hover{
	background-color: var(--azul);
	border-color: var(--azul);
}

input[type="submit"] {
    font-size: 1.25rem;
    font-weight: bold;
    padding: 0.938rem 2.5rem 0.938rem 2.5rem;;
    border-radius: 26px;
    color: var(--azul);
    text-transform: uppercase;
    border: 2px solid var(--azul);
    letter-spacing: 1px;
	background-color: transparent;
}

.wp-block-button__link:visited {
    color: var(--azul);
}

.wp-block-button__link:hover{
	color: var(--durazno);
}

.wp-block-button__link {
    color: var(--azul);
    background-color: transparent;
    cursor: pointer;
    display: inline-block;
	transition: 0.2s ease;
    font-size: 1.25rem;
    font-weight: bold;
    padding: 0.625rem 3.125rem;
    border-radius: 26px;
    text-transform: uppercase;
    border: 2px solid var(--azul);
	letter-spacing: 1px;
}

.wp-block-button__link:hover{
	background-color: var(--azul);
	text-decoration: none;
}

.wp-block-bod-modal-block .bod-btn {
    font-size: 1.25rem;
    font-weight: bold;
    padding: 10px 50px;
    border-radius: 26px;
    text-transform: uppercase;
    border: 2px solid var(--azul);
	letter-spacing: 1px;
}

.wp-block-bod-modal-block .bod-btn{
	transition: 0.2s ease;
}

.page-template-about-me .wp-block-bod-modal-block .bod-btn:hover {
	color: var(--frutilla)!important;
	background-color: var(--azul)!important;
}

.btn-sticky {
    display: block;
    position: sticky;
    top: 10%;
	  left: 85%;
    z-index: 4;
    opacity: 50%;
}

input[type="submit"]{
	transition: 0.2s ease;
}

/**/

/**Responsivo**/

/*Tablets*/

@media (min-width: 768px){
	#footer-Content .wp-block-social-links.aligncenter {
    justify-content: end; 
    display: flex;
}
}

/*Celulares*/
@media(max-width: 480px){
	h1{
		font-size: 2.188rem;
	}
	.excerpt-home{
		font-size: 1rem;
	}
	h2{
		font-size: 1.563rem;
	}
	
	body{
		font-size: 1rem;
	}
	.escala-individual{
		width: 100%!important;
	}
	
	#conoce{
		height: 26.25rem;
	}
	
	.escala-individual h3{
		font-size: 1.563rem!important;
	}
	.page-template-about-me .post-thumbnail img{
		width: 12.5rem;
	}
	.page-template-home .card{
		height: 20rem!important;
	}
	
	.page-template-home .card:hover{
		bottom: 0;
		box-shadow:0 0 0;
	}
	
	#proyectos-home .proyecto-overlay {
    background-color: rgba(255, 208, 88, 0.9);
    border-radius: 20px;
    transition: ease 0.3s;
	opacity: 0.98;
}
	.page-template-index-proyectos .card .proyecto-overlay {
	opacity: 0.98!important;	
}
	
	.bg-proyecto-card{
		height: 5.625rem;
	}
	.btn, .wp-block-button__link, .wp-block-bod-modal-block .bod-btn{
		font-size: 0.875rem;
		padding: 0.625rem 0.938rem;
	}
	.single h3{
		font-size: 1.25rem!important;
	}
	h3{
		font-size: 1.875rem!important;
	}
	
	.head-proyectos-2020 h2, .head-proyectos-2021 h2, .head-proyectos-2022 h2 {
		font-size: 4.668rem;}
	
	.page-template-about-me .header-home{
		height: auto!important;
	}
}
